## linux-atm 2.5.1

=== debian/changelog ===
linux-atm (1:2.5.1-9) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 15.  (Closes: #1097299)
  * Fix building with make --shuffle=reverse.  (Closes: #1105455)
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Sep 2025 03:11:36 +0200

linux-atm (1:2.5.1-8) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Convert to machine-readable format.  (Closes: #795093)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 Aug 2025 15:08:00 +0200

linux-atm (1:2.5.1-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Set Homepage field in Source rather than Binary package.
  * Added d/watch to track upstream versions.
  * Switched project homepage links to HTTPS.
  * Moved d/copyright generation out to separate d/rules rule.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Nov 2024 19:47:09 +0100

linux-atm (1:2.5.1-6) unstable; urgency=medium

  * QA upload.
  * Import patch to fix FTBFS. (Closes: #1075224)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 19:46:16 +0200

linux-atm (1:2.5.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062753

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:13:50 +0000

linux-atm (1:2.5.1-5) unstable; urgency=medium

  * QA upload.
  * d/atm-tools.install: install atmarp, atmarpd into /usr/sbin.
  * d/atm-tools.atm, atm-tools.atm.service: update path to atmarpd.
  * d/control: drop Depends: on obsolete package lsb-base.
  * d/control: add missing Pre-Depends: ${misc:Pre-Depends} for dh_installsystemd.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 Dec 2023 22:41:15 +0100

linux-atm (1:2.5.1-4) unstable; urgency=medium

  * QA upload.
  * Fixup build failures with new kernel and glibc versions.
  * Bump std-version to 4.4.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2019 11:14:38 +0200

linux-atm (1:2.5.1-3) unstable; urgency=medium

  * QA upload.
  * Drop obsolete Conflicts and Replaces.
  * Drop obsolete maintainer scripts.
  * Drop debian/compat and use debhelper-compat, bump to compat 12.
  * Move libraries to /usr/lib.
  * Use dh_installsystemd instead of dh_systemd_{enable,start}.
    Drop dh-systemd Build-Depends accordingly.
  * Drop obsolete start priorities from dh_installinit.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Jul 2019 12:39:59 +0200

linux-atm (1:2.5.1-2) unstable; urgency=medium

  * QA upload.
  * Add Build-Depends: libfl-dev.  (Closes: #846437)
  * Clean up maintainer scripts.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 14:15:37 +0100

linux-atm (1:2.5.1-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Add atm.service masking the atm init script (Closes: #796628)
  * Build-depend on dh-systemd and use dh_systemd_{enable,start}
    in debian/rules for the above.
  * Source LSB init function in atm init script
    - this it possible for systemd LSB hook to properly redirect
      direct invocations of the init script to systemctl.
  * Add an explicit Depends on lsb-base because of the above.
  * Drop build-dependency on initscripts package. (Closes: #828003)
    - the original intention was likely to have this as a dependency
      rather than build-dependency, but either way should no longer
      be needed so just drop it.
  * Orphan the package (Closes: #813775)
    - there has been no maintainer upload in over a decade and
      p2-mate confirmed he no longer has atm hardware and/or interest.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jun 2016 19:01:47 +0200

linux-atm (1:2.5.1-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Correct directory in libatm1-dev.postinst.
    Correct the directory checked for the directory symlink migration to be
    /usr/share/doc/libatm1-dev for the libatm1-dev binary package. It
    wrongly refered to /usr/share/doc/atm-tools. (Closes: #687857)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Sep 2012 11:03:25 +0200

linux-atm (1:2.5.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Make build targets executable in parallel (Closes: #674611).

 -- Luk Claes <luk@debian.org>  Tue, 03 Jul 2012 01:01:15 +0000

linux-atm (1:2.5.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Package converted to multiarch.
  * Support sendsigs.omit.d/ in /run and depend on initscripts
    >= 2.88dsf-13.3. (Closes: #633029)
  * Install the changelogs only in libatm1.
  * Removed the K links of the atmarpd initscript, there is no point in
    stopping the daemon.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Oct 2011 15:09:29 +0100

linux-atm (1:2.5.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Also Build-Depend on autoconf, automake, libtool. (Closes: #563306)
  * Prevent sendsigs from killing atmarpd. (Closes: #62144)

 -- Marco d'Itri <md@linux.it>  Sat, 02 Jan 2010 21:59:19 +0100

linux-atm (1:2.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #463401)
  * Removed the atm-dev dummy package. (Closes: #321826)
  * Fixed typos in some man pages. (Closes: #325072)
  * Autoreconf on build. (Closes: #535736, #549144)
  * Do not restart the init script on upgrades. (Closes: #303069)
  * Build with -fno-strict-aliasing just to be sure.
  * Added a .symbols file for libatm1.
  * Cleaned up debian/rules and updated to modern best practices.
  * Slightly cleaned up the init script.
  * Upgraded debhelper level to 5.
  * Merged back br2684ctl from the standalone source package.
  * Added an epoch to be able to replace the standalone br2684ctl package
    which has version 20040226-1.

 -- Marco d'Itri <md@linux.it>  Thu, 24 Dec 2009 04:01:32 +0100


