=== debian/control ===
Source: linux-atm
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autoconf,
               automake,
               bison,
               debhelper-compat (= 12),
               dpkg-dev (>= 1.22.5),
               flex,
               libfl-dev,
               libtool,
               perl,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/linux-atm
Vcs-Git: https://salsa.debian.org/debian/linux-atm.git
Homepage: https://linux-atm.sourceforge.net/

Package: atm-tools
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Base programs for ATM in Linux, the net-tools for ATM
 This package provides all the basic programs needed for setting up,
 monitoring and tuning ATM networks. Such as:
  * atmsigd, an ATM signal daemon that implements the ATM UNI protocol.
  * atmtcp, a tool to setup ATM over TCP connections.
  * atmarpd, an implementation of the ATMARP protocol (RFC1577, RFC1755)
  * zeppelin, an ATM LAN Emulation client daemon
  * les and bus, ATM LAN Emulation service daemons
 .
 Notice that upstream still flags these tools as experimental software and
 says that there is still a number of known bugs and issues. The
 software is, however, in productive use at a number of sites and is
 working reliably.

Package: br2684ctl
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Utility for configuring RFC 2684 ATM/Ethernet bridging
 ATM bridging is a way to extend Ethernet over an ATM network and is
 mainly used for DSL connections. This package contains the user space
 utility needed to configure the kernel driver.
 .
 This package is needed if you own an USB DSL modem and your connection
 uses one of these protocols: RFC 1483 bridged (RFC 2684 bridged),
 RFC 1483 bridged (RFC 2684 routed), PPP over Ethernet (PPPoE).

Package: libatm1t64
Provides: ${t64:Provides},
Replaces: libatm1,
Breaks: libatm1 (<< ${source:Version}),
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: shared library for ATM (Asynchronous Transfer Mode)
 Shared libraries needed by ATM (Asynchronous Transfer Mode) related programs

Package: libatm1-dev
Section: libdevel
Architecture: linux-any
Depends: libatm1t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: libatm-dev,
Description: Development files for compiling ATM programs
 Header files and development libraries for compiling ATM (Asynchronous
 Transfer Mode) related programs.
