=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
-include /usr/share/dpkg/buildflags.mk

CFLAGS += -fno-strict-aliasing

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

autoreconf: autoreconf-stamp
autoreconf-stamp:
	dh_testdir
	autoreconf --force --install --symlink
	touch $@

configure: config.status
config.status: autoreconf-stamp
	dh_testdir
	./configure $(CONFFLAGS) \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f debian/atm-tools.8 \
		src/switch/cfg_?.[ch] src/qgen/ql_?.[ch] src/test/ispl_?.[ch] \
		src/sigd/cfg_?.[ch] src/lane/lecs_db.c src/lane/load_lex.c \
		aclocal.m4 autom4te.cache/* config.h.in config.h.in~ \
		config.guess config.sub configure libtool compile \
		INSTALL depcomp install-sh ltmain.sh missing ylwrap \
		$$(find . -name Makefile.in)
	$(RM) -r src/sigd/.deps

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp install

        # manpages
	/usr/bin/pod2man --section=8 --release="atm-tools $(PKG_VER)" --lax \
	--center="Debian GNU/Linux" debian/atm-tools.pod > debian/atm-tools.8

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	rm debian/atm-tools/usr/share/man/man8/br2684ctl.8
	dh_installdocs --link-doc=libatm1t64
	dh_installinit --init-script=atm
	dh_installsystemd --name=atm
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_lintian
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

.PHONY: build-arch build-indep build binary-arch binary-indep install autoreconf configure clean install
