=== debian/watch ===
version=4
http://sf.net/linux-atm/linux-atm-(\d\S+)\.tar\.(?:bz2|gz|xz)
